# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

integrate_KernelPrometheePlus <- function(dados, prefFunction, weights, parms, band, normalize, alt) {
    .Call('_RMCriteria_integrate_KernelPrometheePlus', PACKAGE = 'RMCriteria', dados, prefFunction, weights, parms, band, normalize, alt)
}

integrate_KernelPrometheeMinus <- function(dados, prefFunction, weights, parms, band, normalize, alt) {
    .Call('_RMCriteria_integrate_KernelPrometheeMinus', PACKAGE = 'RMCriteria', dados, prefFunction, weights, parms, band, normalize, alt)
}

Ktest <- function(vec, band, plus, alt) {
    .Call('_RMCriteria_Ktest', PACKAGE = 'RMCriteria', vec, band, plus, alt)
}

GaussianPrefKernel <- function(y, vec, band, sigma, plus) {
    .Call('_RMCriteria_GaussianPrefKernel', PACKAGE = 'RMCriteria', y, vec, band, sigma, plus)
}

UsualPrefKernel <- function(y, vec, band, plus) {
    .Call('_RMCriteria_UsualPrefKernel', PACKAGE = 'RMCriteria', y, vec, band, plus)
}

UShapePrefKernel <- function(y, vec, band, plus, q) {
    .Call('_RMCriteria_UShapePrefKernel', PACKAGE = 'RMCriteria', y, vec, band, plus, q)
}

LevelPrefKernel <- function(y, vec, band, plus, q, p) {
    .Call('_RMCriteria_LevelPrefKernel', PACKAGE = 'RMCriteria', y, vec, band, plus, q, p)
}

VShapePrefKernel <- function(y, vec, band, plus, p) {
    .Call('_RMCriteria_VShapePrefKernel', PACKAGE = 'RMCriteria', y, vec, band, plus, p)
}

VShapeIndPrefKernel <- function(y, vec, band, plus, q, p) {
    .Call('_RMCriteria_VShapeIndPrefKernel', PACKAGE = 'RMCriteria', y, vec, band, plus, q, p)
}

matPrometheeI <- function(datVec, prefFunction, parms) {
    .Call('_RMCriteria_matPrometheeI', PACKAGE = 'RMCriteria', datVec, prefFunction, parms)
}

#' Calculates PROMETHEE I method.
#'
#' @param datMat A matrix containing the data from criterias and alternatives.
#' @param vecWeights A vector of weights for each criteria.
#' @param prefFunction A numerical vector to indicate the type of the
#' Preference Function:
#'  \itemize{
#'     \item \code{prefFunction = 0} Gaussian Preference Function
#'     \item \code{prefFunction = 1} Usual Preference Function
#'     \item \code{prefFunction = 2} U-Shape Preference Function
#'     \item \code{prefFunction = 3} V-Shape Preference Function
#'     \item \code{prefFunction = 4} Level Preference Function
#'     \item \code{prefFunction = 5} V-Shape Preference and Indiference Function
#'     }
#' @param parms a numerical matrix with parameters associated to the Preference
#'  Function. They're defined as a matrix of n columns and m rows. The maximum
#'  number of parameters is 3 and m is the number of criterias. The parameters
#'  are:
#'   \itemize{
#'   \item{Indifference Threshold (\code{q})}
#'   \item{Preference Threshold (\code{p})}
#'   \item{Gaussian Threshold (\code{s})}
#'   }
#' @param normalize A boolean to normalize the index.
#' @keywords internal
#' @export
PrometheeI <- function(datMat, vecWeights, prefFunction, parms, normalize) {
    .Call('_RMCriteria_PrometheeI', PACKAGE = 'RMCriteria', datMat, vecWeights, prefFunction, parms, normalize)
}

matPrometheeII <- function(datVec, prefFunction, parms) {
    .Call('_RMCriteria_matPrometheeII', PACKAGE = 'RMCriteria', datVec, prefFunction, parms)
}

#' Calculates PROMETHEE II method.
#'
#' @param datMat A matrix containing the data from criterias and alternatives.
#' @param vecWeights A vector of weights for each criteria.
#' @param prefFunction A numerical vector to indicate the type of the
#' Preference Function:
#'   \itemize{
#'     \item \code{prefFunction = 0} Gaussian Preference Function
#'     \item \code{prefFunction = 1} Usual Preference Function
#'     \item \code{prefFunction = 2} U-Shape Preference Function
#'     \item \code{prefFunction = 3} V-Shape Preference Function
#'     \item \code{prefFunction = 4} Level Preference Function
#'     \item \code{prefFunction = 5} V-Shape Preference and Indiference Function
#'     }
#' @param parms a numerical matrix with parameters associated to the Preference
#'  Function. They're defined as a matrix of n columns and m rows. The maximum
#'  number of parameters is 3 and m is the number of criterias. The parameters
#'  are:
#'   \itemize{
#'   \item{Indifference Threshold (\code{q})}
#'   \item{Preference Threshold (\code{p})}
#'   \item{Gaussian Threshold (\code{s})}
#'   }
#' @param normalize A boolean to normalize the index.
#' @return Preference Matrix
#' @export
PrometheeII <- function(datMat, vecWeights, prefFunction, parms, normalize) {
    .Call('_RMCriteria_PrometheeII', PACKAGE = 'RMCriteria', datMat, vecWeights, prefFunction, parms, normalize)
}

matPrometheeIII <- function(datVec, prefFunction, parms) {
    .Call('_RMCriteria_matPrometheeIII', PACKAGE = 'RMCriteria', datVec, prefFunction, parms)
}

#' Calculates PROMETHEE III method.
#' @param datMat A matrix containing the data from criterias and alternatives.
#' @param vecWeights A vector of weights for each criteria.
#' @param prefFunction A numerical vector to indicate the type of the
#' Preference Function:
#'   \itemize{
#'     \item \code{prefFunction = 0} Gaussian Preference Function
#'     \item \code{prefFunction = 1} Usual Preference Function
#'     \item \code{prefFunction = 2} U-Shape Preference Function
#'     \item \code{prefFunction = 3} V-Shape Preference Function
#'     \item \code{prefFunction = 4} Level Preference Function
#'     \item \code{prefFunction = 5} V-Shape Preference and Indiference Function
#'     }
#' @param alphaVector A numerical vector to indicate the size of the interval
#' for each alternative in Promethee III ranking.
#' @param parms a numerical matrix with parameters associated to the Preference
#'  Function. They're defined as a matrix of n columns and m rows. The maximum
#'  number of parameters is 3 and m is the number of criterias. The parameters
#'  are:
#'   \itemize{
#'   \item{Indifference Threshold (\code{q})}
#'   \item{Preference Threshold (\code{p})}
#'   \item{Gaussian Threshold (\code{s})}
#'   }
#' @return Preference Matrix
#' @export
PrometheeIII <- function(datMat, vecWeights, prefFunction, alphaVector, parms) {
    .Call('_RMCriteria_PrometheeIII', PACKAGE = 'RMCriteria', datMat, vecWeights, prefFunction, alphaVector, parms)
}

#' Calculates PROMETHEE IV method.
#'
#' @param datMat A matrix containing the data from criterias and alternatives.
#' @param vecWeights A vector of weights for each criteria.
#' @param prefFunction A numerical vector to indicate the type of the
#' Preference Function:
#'   \itemize{
#'     \item \code{prefFunction = 0} Gaussian Preference Function
#'     \item \code{prefFunction = 1} Usual Preference Function
#'     \item \code{prefFunction = 2} U-Shape Preference Function
#'     \item \code{prefFunction = 3} V-Shape Preference Function
#'     \item \code{prefFunction = 4} Level Preference Function
#'     \item \code{prefFunction = 5} V-Shape Preference and Indiference Function
#'     }
#' @param parms A numerical matrix with parameters associated to the Preference
#'  Function. They're defined as a matrix of n columns and m rows. The maximum
#'  number of parameters is 3 and m is the number of criterias. The parameters
#'  are:
#'   \itemize{
#'   \item{Indifference Threshold (\code{q})}
#'   \item{Preference Threshold (\code{p})}
#'   \item{Gaussian Threshold (\code{s})}
#'   }
#' @param normalize A boolean to normalize the index.
#' @return Preference Matrix
#' @export
PrometheeIV <- function(datMat, vecWeights, prefFunction, parms, normalize) {
    .Call('_RMCriteria_PrometheeIV', PACKAGE = 'RMCriteria', datMat, vecWeights, prefFunction, parms, normalize)
}

#' Calculates PROMETHEE IV KERNEL method.
#' @param datMat A matrix containing the data from criterias and alternatives.
#' @param vecWeights A vector of weights for each criteria.
#' @param prefFunction A numerical vector to indicate the type of the
#' Preference Function:
#'   \itemize{
#'     \item \code{prefFunction = 0} Gaussian Preference Function
#'     \item \code{prefFunction = 1} Usual Preference Function
#'     \item \code{prefFunction = 2} U-Shape Preference Function
#'     \item \code{prefFunction = 3} V-Shape Preference Function
#'     \item \code{prefFunction = 4} Level Preference Function
#'     \item \code{prefFunction = 5} V-Shape Preference and Indiference Function
#'     }
#' @param parms a numerical matrix with parameters associated to the Preference
#'  Function. They're defined as a matrix of n columns and m rows. The maximum
#'  number of parameters is 3 and m is the number of criterias. The parameters
#'  are:
#'   \itemize{
#'   \item{Indifference Threshold (\code{q})}
#'   \item{Preference Threshold (\code{p})}
#'   \item{Gaussian Threshold (\code{s})}
#'   }
#' @param band A numerical matrix with m rows corresponding to each criteria
#' and one column corresponding to the bandwitch estimated for that criteria.
#' This bandwitch is used for Kernel Density Estimation in Promethee IV Kernel.
#'  By default, it is calculated using bw.nrd0.
#' @param normalize A boolean to normalize the index.
#' @return Preference Matrix
#' @export
PrometheeIVKernel <- function(datMat, vecWeights, prefFunction, parms, band, normalize) {
    .Call('_RMCriteria_PrometheeIVKernel', PACKAGE = 'RMCriteria', datMat, vecWeights, prefFunction, parms, band, normalize)
}

